curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/virtual_mcp_servers/{virtual_mcp_server_id}/tool_bindings/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mcpTools": [
{
"appId": "<string>",
"connectorId": "<string>",
"id": "<string>"
}
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/virtual_mcp_servers/{virtual_mcp_server_id}/tool_bindings/delete"
payload = { "mcpTools": [
{
"appId": "<string>",
"connectorId": "<string>",
"id": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({mcpTools: [{appId: '<string>', connectorId: '<string>', id: '<string>'}]})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/virtual_mcp_servers/{virtual_mcp_server_id}/tool_bindings/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Delete Bindings
DeleteBindings removes up to 100 individual-tool assignments from an Assigned-tools Virtual MCP Server.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
Immutable identifier of the Virtual MCP Server.
Body
VirtualMCPToolBindingServiceDeleteBindingsRequest removes individual tools from one Virtual MCP Server.
Complete MCP tool references to unassign. Duplicate tuples are ignored.
Show child attributes
Show child attributes
Response
VirtualMCPToolBindingServiceDeleteBindingsResponse confirms the assignments were deleted.
VirtualMCPToolBindingServiceDeleteBindingsResponse confirms the assignments were deleted.
Was this page helpful?